%define name	 faenza-icon-theme
%define version	 1.3.1
%define release	 %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Faenza icon theme
Summary(de):	Faenza Symbolthema
Group:          System/Configuration/Theme
License:        GPLv3+
URL:            http://tiheum.deviantart.com/art/Faenza-Icons-173323228
Source0:	http://faenza-icon-theme.googlecode.com/files/%{name}-%{version}.tar.xz
Source1:	start-here-22.png
Source2:	start-here-24.png
Source3:	start-here-32.png
Source4:	start-here-48.png
Source5:	start-here-64.png
Source6:	start-here-96.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires(post): gtk2 >= 2.6.0
Requires(postun): gtk2 >= 2.6.0
Requires:       gnome-icon-theme
Requires:       hicolor-icon-theme

%description
This icon theme for Gnome provides monochromatic icons for panels, toolbars and
buttons and colourful squared icons for devices, applications, folder, files and
Gnome menu items.

Six themes are included to fit with light or dark themes/panels.

%description -l de
Dieses Symbolthema für Gnome bietet monochromatische Symbole für Panel, Werkzeugleisten
und Buttons und farbenfrohe, karierte Icons für Laufwerke, Programme, Ordner, Dateinen
und Gnome Menüeinträge.

Sechs Themen sind enthalten, die das Spektrum von hell bis dunkel abdecken.

%prep
%setup -q -n %{name}-1.3

find Faenza* -type d -exec chmod 755 {} \;
find Faenza* -type f -exec chmod 644 {} \;

%build
#no build


%install
%__rm -rf %{buildroot}



%__install -d -m 755 %{buildroot}%{_iconsdir}
%__mv Faenza* %{buildroot}%{_iconsdir}
touch %{buildroot}%{_iconsdir}/Faenza/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Dark/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Darker/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Darkest/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Ambiance/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Radiance/icon-theme.cache

# install new emesene theme
%__install -d -m 755 %{buildroot}%{_datadir}
%__mv emesene %{buildroot}%{_datadir}

#our menu icon
install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/icons/Faenza/places/22/start-here-pclinuxos.png
install -m 0644 %SOURCE2 %{buildroot}%{_datadir}/icons/Faenza/places/24/start-here-pclinuxos.png
install -m 0644 %SOURCE3 %{buildroot}%{_datadir}/icons/Faenza/places/32/start-here-pclinuxos.png
install -m 0644 %SOURCE4 %{buildroot}%{_datadir}/icons/Faenza/places/48/start-here-pclinuxos.png
install -m 0644 %SOURCE5 %{buildroot}%{_datadir}/icons/Faenza/places/64/start-here-pclinuxos.png
install -m 0644 %SOURCE6 %{buildroot}%{_datadir}/icons/Faenza/places/96/start-here-pclinuxos.png

for icon in %{buildroot}%{_iconsdir}/*/places/*/distributor-logo.* %{buildroot}%{_iconsdir}/*/places/*/start-here.*
do
    pushd ${icon%/*}
        ln -sf ./start-here-pclinuxos.${icon##*.} ${icon##*/}
    popd
done



%post
%update_icon_cache Faenza
%update_icon_cache Faenza-Dark
%update_icon_cache Faenza-Darker
%update_icon_cache Faenza-Darkest
%update_icon_cache Faenza-Ambiance
%update_icon_cache Faenza-Radiance

%postun
%clean_icon_cache Faenza
%clean_icon_cache Faenza-Dark
%clean_icon_cache Faenza-Darker
%clean_icon_cache Faenza-Darkest
%update_icon_cache Faenza-Ambiance
%update_icon_cache Faenza-Radiance


%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_datadir}/icons/Faenza
%{_datadir}/icons/Faenza-Dark
%{_datadir}/icons/Faenza-Darker
%{_datadir}/icons/Faenza-Darkest
%{_datadir}/icons/Faenza-Ambiance
%{_datadir}/icons/Faenza-Radiance
%ghost %{_iconsdir}/Faenza*/icon-theme.cache
# %ghost %{_iconsdir}/Faenza-Dark/icon-theme.cache
# %ghost %{_iconsdir}/Faenza-Darker/icon-theme.cache
# %ghost %{_iconsdir}/Faenza-Darkest/icon-theme.cache
# %ghost %{_iconsdir}/Faenza-Ambiance/icon-theme.cache
# %ghost %{_iconsdir}/Faenza-Radiance/icon-theme.cache
%{_datadir}/emesene



%changelog
* Sat Jul 20 2013 Texstar <texstar at gmail.com> 1.3.1-1pclos2013
- 1.3.1

* Tue Jan 15 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.3-1pclos2013
- 1.3

* Wed Jul 04 2012 Neal <nealbrks0 at gmail dot com> 1.2-1pclos2012
- process

* Tue Jul 03 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.2-1pclos2012
- 1.2
- added german summary and description
- added emesene theme
- added new icon themes Ambiance and Radiance
- fixed files section

* Thu Oct 27 2011 Texstar <texstar at gmail.com> 1.1-1pclos2011
- 1.1.

* Mon Sep 19 2011 Texstar <texstar at gmail.com> 1.0-1pclos2011
- 1.0

* Fri Apr 29 2011 Texstar <texstar at gmail.com> 0.9.2-1pclos2011
- 0.9.2

* Mon Mar 28 2011 Texstar <texstar at gmail.com> 0.8-2pclos2011
- add requires for new glibc

* Thu Mar 24 2011 Sproggy <desproggster at gmail.com> 0.8-1pclos2011
- 0.8

* Sun Sep 26 2010 Texstar <texstar at gmail.com> 0.7-1pclos2010
- 0.7

* Sun Aug 01 2010 Texstar <texstar at gmail.com> 0.5-1pclos2010
- create package
